Récupérer tous les schémas d'objets personnalisés.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/v3/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm-object-schemas/v3/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm-object-schemas/v3/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/v3/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/v3/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm-object-schemas/v3/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/v3/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"associations": [
{
"fromObjectTypeId": "2-123456",
"id": "123",
"name": "my_object_to_contact",
"toObjectTypeId": "0-1"
}
],
"createdAt": "2020-02-20T18:07:11.390Z",
"fullyQualifiedName": "p7878787_my_object\"",
"id": "123456",
"labels": {
"plural": "My objects",
"singular": "My object"
},
"metaType": "PORTAL_SPECIFIC",
"name": "my_object",
"primaryDisplayProperty": "my_object_property",
"properties": [
{
"archived": false,
"calculated": false,
"createdAt": "2020-02-20T18:07:11.802Z",
"displayOrder": -1,
"externalOptions": false,
"fieldType": "text",
"groupName": "my_object_information",
"hasUniqueValue": false,
"label": "My object property",
"name": "my_object_property",
"type": "string",
"updatedAt": "2020-02-20T18:07:11.802Z"
}
],
"requiredProperties": [
"my_object_property"
],
"searchableProperties": [
"my_object_property"
],
"updatedAt": "2020-02-20T18:09:07.555Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Schémas
Retrieve all custom object schemas.
Récupérer tous les schémas d’objets personnalisés, avec des options pour inclure les définitions de propriétés, les définitions d’associations et les métadonnées d’audit.
GET
/
crm-object-schemas
/
v3
/
schemas
Récupérer tous les schémas d'objets personnalisés.
curl --request GET \
--url https://api.hubapi.com/crm-object-schemas/v3/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm-object-schemas/v3/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm-object-schemas/v3/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm-object-schemas/v3/schemas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm-object-schemas/v3/schemas"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm-object-schemas/v3/schemas")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm-object-schemas/v3/schemas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"associations": [
{
"fromObjectTypeId": "2-123456",
"id": "123",
"name": "my_object_to_contact",
"toObjectTypeId": "0-1"
}
],
"createdAt": "2020-02-20T18:07:11.390Z",
"fullyQualifiedName": "p7878787_my_object\"",
"id": "123456",
"labels": {
"plural": "My objects",
"singular": "My object"
},
"metaType": "PORTAL_SPECIFIC",
"name": "my_object",
"primaryDisplayProperty": "my_object_property",
"properties": [
{
"archived": false,
"calculated": false,
"createdAt": "2020-02-20T18:07:11.802Z",
"displayOrder": -1,
"externalOptions": false,
"fieldType": "text",
"groupName": "my_object_information",
"hasUniqueValue": false,
"label": "My object property",
"name": "my_object_property",
"type": "string",
"updatedAt": "2020-02-20T18:07:11.802Z"
}
],
"requiredProperties": [
"my_object_property"
],
"searchableProperties": [
"my_object_property"
],
"updatedAt": "2020-02-20T18:09:07.555Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de requête
S'il faut renvoyer uniquement les résultats qui ont été archivés.
Réponse
successful operation
Show child attributes
Show child attributes
Dernière modification le 1 avril 2026